Package com.pixelmed.dicom

## Class LongTextAttribute

- java.lang.Object
- - com.pixelmed.dicom.Attribute
  - - com.pixelmed.dicom.TextAttribute
    - - com.pixelmed.dicom.LongTextAttribute

-     public class LongTextAttribute
      extends TextAttribute

  A concrete class specializing `Attribute` for Long Text (LT) attributes.

  Though an instance of this class may be created using its constructors, there is also a factory class, `AttributeFactory`.

  See Also:
    `Attribute`, `AttributeFactory`, `AttributeList`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static int` | `MAX_LENGTH_ENTIRE_VALUE` |

    - ### Fields inherited from class com.pixelmed.dicom.TextAttribute

      `specificCharacterSet`

    - ### Fields inherited from class com.pixelmed.dicom.Attribute

      `valueLength, valueMultiplicity`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongTextAttribute​(AttributeTag t)` | Construct an (empty) attribute.
    `LongTextAttribute​(AttributeTag t, long vl, DicomInputStream i, SpecificCharacterSet specificCharacterSet)` | Read an attribute from an input stream.
    `LongTextAttribute​(AttributeTag t, SpecificCharacterSet specificCharacterSet)` | Construct an (empty) attribute.
    `LongTextAttribute​(AttributeTag t, java.lang.Long vl, DicomInputStream i, SpecificCharacterSet specificCharacterSet)` | Read an attribute from an input stream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMaximumLengthOfEntireValue()` |
    `byte[]` | `getVR()` | Get the value representation of this attribute (LT).

    - ### Methods inherited from class com.pixelmed.dicom.TextAttribute

      `addValue, getByteValues, getPaddedVL, getStringValues, isValid, removeValues, repairValues, toString, translateByteArrayToString, translateStringToByteArray, write`

    - ### Methods inherited from class com.pixelmed.dicom.Attribute

      `addValue, addValue, addValue, addValue, addValue, addValue, getByteValues, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDoubleValues, getDoubleValues, getDoubleValues, getElement, getFloatValues, getFloatValues, getFloatValues, getGroup, getIntegerValues, getIntegerValues, getIntegerValues, getLengthOfBaseOfEncodedAttribute, getLengthOfEncodedValue, getLengthOfEntireEncodedAttribute, getLongValues, getLongValues, getLongValues, getOriginalStringValues, getShortValues, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getStringValues, getStringValues, getStringValues, getStringValues, getStringValues, getTag, getVL, getVM, getVRAsString, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValues, setValues, setValues, setValues, setValues, setValues, setValues, toString, writeBase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_LENGTH_ENTIRE_VALUE

          protected static final int MAX_LENGTH_ENTIRE_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LongTextAttribute

          public LongTextAttribute​(AttributeTag t)

      Construct an (empty) attribute.

      Parameters:
        `t` - the tag of the attribute

    - #### LongTextAttribute

          public LongTextAttribute​(AttributeTag t,
                                   SpecificCharacterSet specificCharacterSet)

      Construct an (empty) attribute.

      Parameters:
        `t` - the tag of the attribute
        `specificCharacterSet` - the character set to be used for the text

    - #### LongTextAttribute

          public LongTextAttribute​(AttributeTag t,
                                   long vl,
                                   DicomInputStream i,
                                   SpecificCharacterSet specificCharacterSet)
                            throws java.io.IOException,
                                   DicomException

      Read an attribute from an input stream.

      Parameters:
        `t` - the tag of the attribute
        `vl` - the value length of the attribute
        `i` - the input stream
        `specificCharacterSet` - the character set to be used for the text
      Throws:
        `java.io.IOException` - if an I/O error occurs
        `DicomException` - if error in DICOM encoding

    - #### LongTextAttribute

          public LongTextAttribute​(AttributeTag t,
                                   java.lang.Long vl,
                                   DicomInputStream i,
                                   SpecificCharacterSet specificCharacterSet)
                            throws java.io.IOException,
                                   DicomException

      Read an attribute from an input stream.

      Parameters:
        `t` - the tag of the attribute
        `vl` - the value length of the attribute
        `i` - the input stream
        `specificCharacterSet` - the character set to be used for the text
      Throws:
        `java.io.IOException` - if an I/O error occurs
        `DicomException` - if error in DICOM encoding

  - ### Method Detail

    - #### getMaximumLengthOfEntireValue

          public final int getMaximumLengthOfEntireValue()

      Specified by:
        `getMaximumLengthOfEntireValue` in class `TextAttribute`

    - #### getVR

          public byte[] getVR()

      Get the value representation of this attribute (LT).

      Overrides:
        `getVR` in class `Attribute`
      Returns:
        'L','T' in ASCII as a two byte array; see `ValueRepresentation`